#!/bin/sh

set -eox pipefail

mkdir /working
cd /working
git clone -b "$PLUGIN_BRANCH" "$PLUGIN_GIT_REPO" .
echo "$PLUGIN_IMAGE_TAG" > "$PLUGIN_DESTINATION_FILE"
git add "$PLUGIN_DESTINATION_FILE"
git config user.email "$PLUGIN_AUTHOR_EMAIL"
git config user.name "$PLUGIN_AUTHOR_NAME"
# https://stackoverflow.com/a/31926346/1040915
git commit -m "$(echo $PLUGIN_COMMIT_MESSAGE | envsubst)"
# https://stackoverflow.com/a/6174447/1040915
git remote add origin-with-credentials "$(echo $PLUGIN_GIT_REPO | sed -e's,^\(.*://\).*,\1,g')""$PLUGIN_ACCESS_TOKEN@""$(echo $PLUGIN_GIT_REPO | sed -e's,^.*://\(.*\),\1,g')"
git push origin-with-credentials "$PLUGIN_BRANCH":"$PLUGIN_BRANCH"
